Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605264 - Kernel bug in cfq-iosched merge code
Kernel bug in cfq-iosched merge code
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jeff Moyer
Zhouping Liu
https://bugzilla.kernel.org/show_bug....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 10:25 EDT by Jeff Moyer
Modified: 2014-01-12 19:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:25:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Moyer 2010-06-17 10:25:08 EDT
Description of problem:

A bug was reported against the upstream kernel that affects RHEL 6.

See the mail here:
http://lkml.org/lkml/2010/6/17/152
Comment 1 RHEL Product and Program Management 2010-06-17 10:33:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Jeff Moyer 2010-06-17 11:28:00 EDT
Reproduced on 2.6.32-36.el6.x86_64.debug:

general protection fault: 0000 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda/size
CPU 1 
Modules linked in: autofs4(U) sunrpc(U) p4_clockmod(U) freq_table(U) speedstep_lib(U) ip6t_REJECT(U) nf_conntrack_ipv6(U) ip6table_filter(U) ip6_tables(U) ipv6(U) ext3(U) jbd(U) dm_mirror(U) dm_region_hash(U) dm_log(U) sr_mod(U) cdrom(U) serio_raw(U) tg3(U) ipmi_si(U) ipmi_msghandler(U) iTCO_wdt(U) iTCO_vendor_support(U) hpilo(U) shpchp(U) sg(U) i3200_edac(U) edac_core(U) ext4(U) mbcache(U) jbd2(U) dm_multipath(U) sd_mod(U) crc_t10dif(U) qla2xxx(U) scsi_transport_fc(U) pata_acpi(U) ata_generic(U) ata_piix(U) scsi_tgt(U) radeon(U) ttm(U) drm_kms_helper(U) drm(U) i2c_algo_bit(U) i2c_core(U) dm_mod(U) [last unloaded: freq_table]

Modules linked in: autofs4(U) sunrpc(U) p4_clockmod(U) freq_table(U) speedstep_lib(U) ip6t_REJECT(U) nf_conntrack_ipv6(U) ip6table_filter(U) ip6_tables(U) ipv6(U) ext3(U) jbd(U) dm_mirror(U) dm_region_hash(U) dm_log(U) sr_mod(U) cdrom(U) serio_raw(U) tg3(U) ipmi_si(U) ipmi_msghandler(U) iTCO_wdt(U) iTCO_vendor_support(U) hpilo(U) shpchp(U) sg(U) i3200_edac(U) edac_core(U) ext4(U) mbcache(U) jbd2(U) dm_multipath(U) sd_mod(U) crc_t10dif(U) qla2xxx(U) scsi_transport_fc(U) pata_acpi(U) ata_generic(U) ata_piix(U) scsi_tgt(U) radeon(U) ttm(U) drm_kms_helper(U) drm(U) i2c_algo_bit(U) i2c_core(U) dm_mod(U) [last unloaded: freq_table]
Pid: 0, comm: swapper Not tainted 2.6.32-36.el6.x86_64.debug #1 ProLiant DL320 G5p
RIP: 0010:[<ffffffff8126ed28>]  [<ffffffff8126ed28>] cfq_dispatch_requests+0x4f8/0xa40
RSP: 0018:ffff88002c203be0  EFLAGS: 00010096
RAX: 6b6b6b6b6b6b6b6b RBX: ffff88011c7c90b8 RCX: 0000000000000200
RDX: 6b6b6b6b6b6b6b6b RSI: ffff88011c6761c0 RDI: 000000000002a228
RBP: ffff88002c203c40 R08: 000000000002a460 R09: ffff88011c7c90e8
R10: 0000000000000001 R11: 0000000000000006 R12: ffff88011c6761c0
R13: ffff88011c676d70 R14: ffff88011bd0d000 R15: ffff88011ee3f1d8
FS:  0000000000000000(0000) GS:ffff88002c200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00007f72747f2ff8 CR3: 0000000001001000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process swapper (pid: 0, threadinfo ffff88012282a000, task ffff88012282c240)
Stack:
 ffff88002c203c50 0000000000000046 0000000000000000 0000000000000282
<0> ffff880000000001 0000000000000000 0000000000000000 ffff88011c6d2000
<0> ffff88011c370f20 ffff88002c203c58 ffff88011bd0d000 ffff88011ee3f1d8
Call Trace:
 <IRQ> 
 [<ffffffff8125ac02>] blk_peek_request+0x132/0x1f0
 [<ffffffff81507f3e>] ? _spin_lock_irq+0x6e/0x80
 [<ffffffff813719ab>] scsi_request_fn+0x6b/0x5d0
 [<ffffffff8125b678>] __blk_run_queue+0x78/0x150
 [<ffffffff8125b830>] blk_run_queue+0x30/0x50
 [<ffffffff81370f4a>] scsi_run_queue+0xda/0x3c0
 [<ffffffff8136ab80>] ? __scsi_put_command+0x60/0xa0
 [<ffffffff813721b2>] scsi_next_command+0x42/0x60
 [<ffffffff81372f7e>] scsi_io_completion+0x35e/0x550
 [<ffffffff81369f22>] scsi_finish_command+0xc2/0x130
 [<ffffffff813732dd>] scsi_softirq_done+0x14d/0x170
 [<ffffffff8126059d>] blk_done_softirq+0x8d/0xa0
 [<ffffffff81076525>] __do_softirq+0xd5/0x220
 [<ffffffff810a953d>] ? trace_hardirqs_off+0xd/0x10
 [<ffffffff8101438c>] call_softirq+0x1c/0x30
 [<ffffffff8101606d>] do_softirq+0xad/0xe0
 [<ffffffff81076115>] irq_exit+0x95/0xa0
 [<ffffffff8102efd5>] smp_call_function_single_interrupt+0x35/0x40
 [<ffffffff81013ef3>] call_function_single_interrupt+0x13/0x20
 <EOI> 
 [<ffffffff8101be99>] ? mwait_idle+0x79/0xe0
 [<ffffffff8101be90>] ? mwait_idle+0x70/0xe0
 [<ffffffff81011e9b>] cpu_idle+0xbb/0x110
 [<ffffffff814fda11>] start_secondary+0x20b/0x24e
Code: 89 e6 48 89 df e8 19 d4 ff ff 48 85 c0 49 89 c5 0f 84 d1 02 00 00 49 83 bc 24 e0 00 00 00 00 75 b6 eb 08 49 39 d4 74 af 48 89 d0 <48> 8b 90 e0 00 00 00 48 85 d2 75 ec 41 8b 14 24 41 2b 54 24 6c 
RIP  [<ffffffff8126ed28>] cfq_dispatch_requests+0x4f8/0xa40
 RSP <ffff88002c203be0>
---[ end trace 0bc608aafcdc23db ]---
Comment 4 Aristeu Rozanski 2010-07-01 12:24:08 EDT
Patch(es) available on kernel-2.6.32-42.el6
Comment 15 releng-rhel@redhat.com 2010-11-15 09:25:29 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.